package be.godot.sc.apps.eid.be;

import be.godot.sc.engine.BelpicCard;
import be.godot.util.FileUtils;

public class ScReadRootCACertificate {
	public static void main(String[] args) {
		if (args.length != 1) {
			System.out.println(
				"Usage: ScReadRootCACertificate <outputFileName>");
			System.exit(-1);
		}
		String outputFileName = args[0];
		try {
			BelpicCard scd = new BelpicCard("");

			byte[] data = scd.readRootCACertificateBytes();

			FileUtils.writeFile(outputFileName, data);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
