package be.godot.sc.engine;

import be.godot.sc.exceptions.*;
import be.godot.sc.interfaces.*;
import be.godot.sc.exceptions.UnknownCardException;
import be.godot.sc.interfaces.BelpicCommandsEngine;

public final class BelpicCard extends EidCard implements BelpicCommandsEngine {
	public BelpicCard(String appName) throws UnknownCardException, SmartCardReaderException {
		super(EidCardInterface.BELPIC_CARD,appName);
	}

	public void reActivateCard(String puk1, String puk2) throws InvalidPinException,InvalidResponse,NoReadersAvailable,NoSuchFeature,SmartCardReaderException,UnknownCardException{
		reActivate(puk1 ,puk2);
	}
}